from capytale.autoeval import validationclass
from capytale.autoeval import (
    ValidateVariables,
    ValidateFunction,
    ValidateFunctionPretty,
)
with open("users.csv", "r") as f:
    _lines = f.readlines()
_data = [l.strip().split(",") for l in _lines]
test_users = ValidateVariables({"users": _data[1:], "users_fields": _data[1]})

test_reponse = ValidateVariables({"code_reponse": "okay"})


import csv # on importe le module pour le rendre disponible
with open('factures.csv', 'r') as csvfile: # on ouvre le fichier
    _reader = csv.reader(csvfile, delimiter=',', quotechar='"') # on crée un "lecteur" de csv
    # en fournissant le délimiteur et le caractère qui entoure les chaînes de caractère
    _fdata = list(_reader) # on lit toutes les lignes et on les stocke dans une liste
test_factures = ValidateVariables({"factures": _fdata[1:], "factures_fields": _fdata[1]})


def _recherche_user(liste, last_name, first_name):
    for u in liste:
        if u[1] == first_name and u[2] == last_name:
            return u[0]
    return None

test_recherche_user = ValidateFunctionPretty("recherche_user", [(_data[1:10], "Machin", "Truc"),
                                                               (_data[1:10], "Yanuk", "Sidonia")],
                                            valid_function=_recherche_user, check_signature=True)

def _filter_gender(liste, gender):
    return [l for l in liste if l[4]==gender]
test_filter_gender = ValidateFunctionPretty(
    "filter_gender", [
    (_data[1:4], "Male"),
    (_data[1:4], "Female"),
    (_data[1:4], "Toto")],
    valid_function=_filter_gender, check_signature=True)