from autoeval import _compare, ValidateVariables, ValidateFunctionPretty



assert _compare(1,1)
assert _compare([1,2,3], [1,2,3])
assert _compare("toto", "toto")
assert _compare({"a": 1, "b": 2}, {"a": 1, "b": 2})
assert not _compare(1,2)
assert not _compare([1,2,3], (1,2,3))


var01 = 1
tvar01 = 1
test_1 = ValidateVariables(names_and_values={"var01": 1, "tvar01": 1})
assert test_1()


def _test(a, b):
    return a + b

test_1 = ValidateFunctionPretty(func_name="test_1_fn", 
                                 test_values=[(1, 2), (3, 4), (5, 6)],
                                 valid_function=_test,
                                 check_signature=True)

def test_1_fn(a, b):
    return a + b

assert test_1()


def _test2(a, bb):
    return a / bb

test_2 = ValidateFunctionPretty(func_name="test_2_fn",
                                    test_values=[(1, 0), (3, 4), (5, 6)],
                                    valid_function=_test2,
                                    check_signature=True)

def test_2_fn(a, b):
    return a / b

assert not test_2()


