"""
On veut créer une fonction `somme` prenant un tableau
de nombres entiers `tab` en argument, et qui renvoie 
la somme des entiers de `tab` compris entre
0 inclus et 100 inclus.
-------------------- 
>>> somme([0, 1, 2])
3
>>> somme([0, 1, 2, 250])
3
"""

import _tests as tests

# Votre code:


def somme(tab):
    assert isinstance(tab, list), "tab n'est pas une liste"
    assert len(tab) > 0, "tab est vide"
    assert all(isinstance(x, int) for x in tab), "tab ne contient pas que des entiers"
    return sum(x for x in tab if 0 <= x < 100)


tests.test_exercice()
